package com.njcn.advance.service.assess;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.advance.pojo.param.assess.AssessLoadParamQuery;
import com.njcn.advance.pojo.po.assess.AssessLoadParam;

import java.util.List;

/**
 * <p>
 * 评估用户负荷参数表 服务类
 * </p>
 *
 * @author cdf
 * @since 2025-06-06
 */
public interface IAssessLoadParamService extends IService<AssessLoadParam> {

    /**
     * 根据用户负荷ID查询详情
     */
    AssessLoadParam getByLoadId(String loadId);

    /**
     * 根据评估用户ID查询负荷参数列表
     */
    List<AssessLoadParam> listByAssessId(String assessId);

    /**
     * 新增评估用户负荷参数
     */
    boolean add(AssessLoadParamQuery assessLoadParam);

    /**
     * 更新评估用户负荷参数
     */
    boolean update(AssessLoadParamQuery.UpdateAssessLoadParamQuery updateQuery);
}
